> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Consolidate E-Way Bill

> Consolidate multiple E-Way Bills under one bill

#### Request body schema

<Card title="View request body schema" icon="code" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/request/e-way-bill/consolidate_e_way_bill.json" arrow="true" horizontal />


## OpenAPI

````yaml api-reference/gst/compliance/openapi.json POST /gst/compliance/e-way-bill/consignor/consolidated-bill
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/e-way-bill/consignor/consolidated-bill:
    post:
      tags:
        - E-Way Bill1
        - Consignor
        - Consolidated E-Way Bill
      summary: Consolidate E-Way Bill
      description: Can be updated either by the seller or the transporter
      operationId: consolidateEWayBill
      parameters:
        - name: authorization
          in: header
          description: >-
            E-Way Bill access token. For token-generation steps, refer to the
            [Generate E-Way Bill
            Session](/recipes/gst/authentication/generate_e_way_bill_session)
            recipe, then pass the token in the authorization header.
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                fromPlace:
                  type: string
                  example: BANGALORE SOUTH
                fromState:
                  type: number
                  example: 29
                transDocDate:
                  type: string
                  example: 12/10/2017
                transDocNo:
                  type: string
                  example: '1234'
                transMode:
                  type: string
                  example: '1'
                tripSheetEwbBills:
                  type: array
                  items:
                    type: object
                    properties:
                      ewbNo:
                        type: number
                        example: 271010079977
                  example:
                    - ewbNo: 271010079977
                vehicleNo:
                  type: string
                  example: KA12AB1234
            examples:
              650 Consignee cannot consolidate EWB:
                value:
                  fromPlace: BANGALORE SOUTH
                  fromState: 29
                  transDocDate: 12/10/2017
                  transDocNo: '1234'
                  transMode: '1'
                  tripSheetEwbBills:
                    - ewbNo: 271010079977
                  vehicleNo: KA12AB1234
                summary: 650 Consignee cannot consolidate EWB
              200 EWBs consolidated:
                value:
                  fromPlace: BANGALORE SOUTH
                  fromState: 29
                  vehicleNo: KA12AB1234
                  transMode: '1'
                  transDocNo: '1234'
                  transDocDate: 12/10/2017
                  tripSheetEwbBills:
                    - ewbNo: 271010079654
                    - ewbNo: 241010079655
                summary: 200 EWBs consolidated
      responses:
        '200':
          description: 200 EWBs consolidated / 650 Consignee cannot consolidate EWB
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 200
                  data:
                    type: object
                    properties:
                      alert:
                        type: string
                        nullable: true
                        example: null
                      data:
                        type: object
                        properties:
                          cEwbDate:
                            type: string
                            example: 13/05/2024 02:43:00 PM
                          cEwbNo:
                            type: string
                            example: '2210011690'
                      error:
                        type: object
                        properties:
                          errorCodes:
                            type: string
                            example: 650,
                      info:
                        type: string
                        example: ''
                      status:
                        type: string
                        example: '1'
                  timestamp:
                    type: number
                    example: 1763446641000
                  transaction_id:
                    type: string
                    example: 8ddb61f7-3d6f-44d6-93f5-d33eeedbc6d2
              examples:
                650 Consignee cannot consolidate EWB:
                  summary: 650 Consignee cannot consolidate EWB
                  value:
                    code: 200
                    data:
                      error:
                        errorCodes: 650,
                      info: ''
                      status: '0'
                    timestamp: 1763446641000
                    transaction_id: f35b45eb-510e-47d2-9450-0654f4cf0064
                200 EWBs consolidated:
                  summary: 200 EWBs consolidated
                  value:
                    code: 200
                    data:
                      alert: null
                      data:
                        cEwbDate: 13/05/2024 02:43:00 PM
                        cEwbNo: '2210011690'
                      status: '1'
                    timestamp: 1763446641000
                    transaction_id: 8ddb61f7-3d6f-44d6-93f5-d33eeedbc6d2
          headers: {}
      deprecated: false
      security: []

````